#!/bin/bash

if [ ! -f /var/www/html/config/config.php ]; then
  touch /var/www/html/config/CAN_INSTALL
  cp /var/www/default_config.sample.php /var/www/html/config/config.sample.php
  echo "Created /var/www/html/config/CAN_INSTALL and config.sample.php because config.php does not exist."
else
  echo "config.php exists. No action taken."
fi

if [ -z "$(ls -A /var/www/html/apps)" ]; then
    cp -r /var/www/default_apps/* /var/www/html/apps/
    echo "Copied default apps to /var/www/html/apps because it was empty."
else
  echo "/var/www/html/apps is not empty. No action taken."
fi

## Set permissions
chown -R www-data:www-data /var/www/html/

exec "$@"
